## pbuilder 0.155ubuntu3

=== debian/changelog ===
pbuilder (0.155ubuntu3) edgy; urgency=low

  * added the COMPONENTS option to the man-page (thanks to Sami Haahtinen)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 28 Aug 2006 11:45:55 +0200

pbuilder (0.155ubuntu2) edgy; urgency=low

  * Default to edgy

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed, 12 Jul 2006 11:13:08 -0700

pbuilder (0.155ubuntu1) edgy; urgency=low

  * merged debian changes
  * remove all 'CVS' control files

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 17 Jun 2006 12:29:22 +0200

pbuilder (0.155) unstable; urgency=low

  [Junichi Uekawa]
  * silence /etc/mtab symlink warning (Closes: #367135).
  * document tmpfs support for pbuilder buildplace.
  * Bug fix: "pbuilder: pdebuild-internal doesn't honor dpkg-buildpackage
    options", thanks to William Steve Applegate (Closes: #366327).
    call su with '-p'
  * Bug fix: "pbuilder: should create BUILDRESULT if not existent", thanks
    to Daniel Leidert (Closes: #335523), there was a wrong conditional
    check, and that's fixed.

 -- Junichi Uekawa <dancer@debian.org>  Thu, 15 Jun 2006 08:39:28 +0900

pbuilder (0.154) unstable; urgency=low

  [Junichi Uekawa]
  * Document cowdancer and pdebuild.
  * pbuilder.8, pdebuild.1: document that default build result directory
    is /var/cache/pbuilder/result, instead of expecting users to read
    somewhere else.
  * update copyright information.

  [Matt Kraai]
  * Fix a misspelling of pdebuild (closes: #369446)

 -- Junichi Uekawa <dancer@debian.org>  Wed, 31 May 2006 08:35:56 +0900

pbuilder (0.153) unstable; urgency=low

  [Junichi Uekawa]
  * fix pdebuild --help output (closes: #367133)
  * Support for new style architecture specifications (closes: #363193)
    Thanks to Peter Eisentraut for patch.
    The support is currently disabled, until dpkg maintainers clarify the 
    situation.
  * pbuilder-doc.xml: update documentation to add an example snippet for
    using locally built packages from pbuilder.
    And other minor updates, including spellchecking.
  * manpages: spellcheck.
  * cowdancer support, pbuilder support cowbuilder.
  * quiet down cowprotect message.

 -- Junichi Uekawa <dancer@debian.org>  Fri, 26 May 2006 06:30:13 +0900

pbuilder (0.152) unstable; urgency=low

  * fix pdebuild-internal, pass --uid/--gid options.
    partially address some of #361362
  * documentation update

 -- Junichi Uekawa <dancer@debian.org>  Wed, 26 Apr 2006 09:33:36 +0900

pbuilder (0.151) unstable; urgency=low

  [Junichi Uekawa]
  * minor spelling fixes.
  * Bug fix: "pdebuild --help does not work on a place
    that doesn't have debian/ dir", thanks to Nelson A. de Oliveira
    (Closes: #359347).

 -- Junichi Uekawa <dancer@debian.org>  Sun,  2 Apr 2006 14:01:14 +0900

pbuilder (0.150) unstable; urgency=low

  * chown logfiles so that logfiles are not owned by root all the time 
    (Closes: #341553).
  * Bug fix: "[changes default behavior] Fix logfile name to have .log
    appended if using --pkg-logfile", thanks to Christian Hammers
    (Closes: #287477).
    Note that the default is changed to '_{ARCH}.build' to match debuild.

 -- Junichi Uekawa <dancer@debian.org>  Mon, 20 Mar 2006 23:31:26 +0900

pbuilder (0.149) unstable; urgency=low

  * Remove references to non-US, since it's empty in sarge. (Closes: #330108).

 -- Junichi Uekawa <dancer@debian.org>  Tue, 28 Feb 2006 08:44:42 +0900

pbuilder (0.148) unstable; urgency=low

  * Bug fix: "[Feature request] support bind-mounted apt package cache",
    thanks to Michel Daenzer (Closes: #236304).

 -- Junichi Uekawa <dancer@debian.org>  Sat, 18 Feb 2006 13:31:42 +0900

pbuilder (0.147) unstable; urgency=low

  * Update pbuilderrc man page to specify EXTRAPACKAGES is space-delimited
    (Closes: #352224).
  * Bug fix: "sudo pbuilder login --save-after-login includes the apt
    cache in the base.tgz", thanks to Andreas Beckmann (Closes: #351526).
  * Bug fix: "pbuilder: Arch-specific
    build-deps printed weird", thanks to Daniel Schepler (Closes:
    #184149).

 -- Junichi Uekawa <dancer@debian.org>  Sat, 11 Feb 2006 23:45:17 +0900

pbuilder (0.146) unstable; urgency=low

  * improve B92test-pkg: cd to package build directory before invoking
    test scripts.
  * work around 350262, bug in initscripts and cdebootstrap interaction.
    Use --hookdir=/usr/share/doc/pbuilder/examples/

 -- Junichi Uekawa <dancer@debian.org>  Mon, 30 Jan 2006 23:09:41 +0900

## pbuilder 0.156~bpo.1

=== Makefile ===
INSTALL_DIRECTORY=install -d -m 0755 
INSTALL_FILE=install -m 0644
INSTALL_EXECUTABLE=install -m 0755


#
# To add new script, add it to here, so that it will be tested. And then add a rule to install: target.
#
SHELLCODES=pbuilder-buildpackage \
	pbuilder-buildpackage-funcs \
	pbuilder-checkparams \
	pbuilder-uml-checkparams \
	pbuilder-createbuildenv \
	pbuilder-loadconfig \
	pbuilder-modules \
	pbuilder-runhooks \
	pbuilder-satisfydepends \
	pbuilder-updatebuildenv \
	pbuilder-user-mode-linux \
	pbuilder \
	pdebuild \
	pdebuild-checkparams \
	pdebuild-user-mode-linux \
	pdebuild-internal

check:
	set -e;
	for A in $(SHELLCODES); do \
		bash -n $$A; \
		echo $$A; \
	done

full-check: 
	set -e; \
	cd testsuite; \
	./run-test.sh 

clean:
	rm -f *.bak *~ TAGS
	rm -f testsuite/testimage
	rm -rf testsuite/testbuild testsuite/testbuild2

TAGS:
	etags pbuilder-* pbuilder

install:
	$(INSTALL_DIRECTORY) $(DESTDIR)/etc
	$(INSTALL_DIRECTORY) $(DESTDIR)/etc/pbuilder
	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/sbin
	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/bin
	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/lib/pbuilder
	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/share/pbuilder
	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_DIRECTORY) $(DESTDIR)/var/cache/pbuilder/pbuilder-mnt
	$(INSTALL_DIRECTORY) $(DESTDIR)/var/cache/pbuilder/pbuilder-umlresult
	$(INSTALL_EXECUTABLE) pbuilder-buildpackage $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-buildpackage-funcs $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-createbuildenv $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-updatebuildenv $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-loadconfig $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-runhooks $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-checkparams $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pdebuild-checkparams $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-uml-checkparams $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pdebuild-uml-checkparams $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-modules $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder $(DESTDIR)/usr/sbin
	$(INSTALL_EXECUTABLE) pdebuild $(DESTDIR)/usr/bin
	$(INSTALL_EXECUTABLE) pbuilder-user-mode-linux $(DESTDIR)/usr/bin
	$(INSTALL_EXECUTABLE) pdebuild-user-mode-linux $(DESTDIR)/usr/bin
	$(INSTALL_EXECUTABLE) debuild-pbuilder $(DESTDIR)/usr/bin
	$(INSTALL_EXECUTABLE) pbuilder-satisfydepends $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pdebuild-internal $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_FILE) pbuilderrc $(DESTDIR)/etc
	$(INSTALL_FILE) pbuilderrc $(DESTDIR)/usr/share/pbuilder
	$(INSTALL_FILE) pbuilder-uml.conf $(DESTDIR)/etc/pbuilder
	$(INSTALL_FILE) pbuilder-uml.conf $(DESTDIR)/usr/share/pbuilder
	$(INSTALL_EXECUTABLE) examples/B90linda $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/B91dpkg-i $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/B92test-pkg $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/C10shell $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/D10tmp $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/D90chrootmemo $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/F90chrootmemo $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/B90list-missing $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/B91debc $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/execute_installtest.sh $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/execute_paramtest.sh $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/pbuilder-distribution.sh $(DESTDIR)/usr/share/doc/pbuilder/examples

	# install workaround for initscripts -- 2005-12-21
	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/share/doc/pbuilder/examples/workaround
	$(INSTALL_EXECUTABLE) examples/E50-initscripts-2.86.ds1-7.workaround.sh $(DESTDIR)/usr/share/doc/pbuilder/examples/workaround
	$(INSTALL_EXECUTABLE) examples/G50-initscripts-2.86.ds1-11-cdebootstrap0.3.9.sh $(DESTDIR)/usr/share/doc/pbuilder/examples/workaround

	cd pbuildd; make install DESTDIR=$(DESTDIR)
	cd Documentation; make install DESTDIR=$(DESTDIR)

=== Documentation/Makefile ===
# makefile for documentation for pbuilder.

#required packages:
# docbook-xsl
# ldp-docbook-xsl
# xsltproc

all: pbuilder-doc.html

%.html: %.xml pbuilder-doc.xsl
	xsltproc pbuilder-doc.xsl $< > $@.tmp
	mv $@.tmp $@

%.tex: %.xml debian-latex.xsl
	## requires db2latex-xsl and xsltproc package.
	xsltproc --nonet --novalid --xinclude debian-latex.xsl $< > $@.tmp
	mv $@.tmp $@

%.pdf: %.tex
	pdflatex $<
	pdflatex $<

install: pbuilder-doc.html
	install -d -m 755 -o root -g root $(DESTDIR)/usr/share/doc/pbuilder/
	install -m 644 -o root -g root pbuilder-doc.html $(DESTDIR)/usr/share/doc/pbuilder/

preview: pbuilder-doc.html
	mozilla-firefox -remote "openfile($(PWD)/$<)"

release: pbuilder-doc.html pbuilder-doc.xml pbuilder-doc.css pbuilder-doc.xsl pbuilder-doc.pdf
	scp $^ cvs.alioth.debian.org:/org/alioth.debian.org/chroot/home/groups/pbuilder/htdocs/ 
	$(MAKE) release-netfort

# for my homepage-publishing.
release-netfort: pbuilder-doc.html pbuilder-doc.xml pbuilder-doc.css pbuilder-doc.xsl pbuilder-doc.pdf
	cp $^ ~/public_html/netfort/software/pbuilder-doc/

clean: 
	-rm pbuilder-doc.pdf pbuilder-doc.glo pbuilder-doc.idx pbuilder-doc.log pbuilder-doc.out


.PHONY: preview release-netfort release clean

=== debian/changelog ===
pbuilder (0.156~bpo.1) sarge-backports; urgency=low

  * Rebuilt for sarge

 -- Noritada Kobayashi <nori1@dolphin.c.u-tokyo.ac.jp>  Sat, 26 Aug 2006 08:11:00 +0900

pbuilder (0.156) unstable; urgency=low

  [Junichi Uekawa]
  * export DEBBUILDOPTS, follow-up to 366327
  * Bug fix: "pbuilder-doc.html refers to non-existing
    /usr/share/doc/fakechroot/README.Debian", thanks to Timo Juhani
    Lindfors (Closes: #379235).

 -- Junichi Uekawa <dancer@debian.org>  Wed, 26 Jul 2006 08:38:56 +0900

=== debian/control ===
Source: pbuilder
Section: devel
Priority: extra
Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
Uploaders: Junichi Uekawa <dancer@debian.org>, Matt Kraai <kraai@debian.org>
Build-Depends: debhelper (>= 4.1.0), docbook-xsl, ldp-docbook-xsl (>= 0.0.20040321-0.1), xsltproc
Standards-Version: 3.6.2

Package: pbuilder
Architecture: all
Depends: cdebootstrap|debootstrap, wget, gcc, debianutils (>= 1.13.1), coreutils (>= 4.5.8-1)
Recommends: fakeroot, sudo, devscripts
Suggests: pbuilder-uml
Description: personal package builder for Debian packages
 pbuilder constructs a chroot system, and builds a package inside the
 chroot. 
 It is an ideal system to use to check 
 that a package has correct build-dependencies.
 It uses apt extensively, and a local mirror, or a fast connection
 to a Debian mirror is ideal, but not necessary.
 .
 "pbuilder create" uses debootstrap to create a chroot image. 
 .
 "pbuilder update" updates the image to the current state of
 testing/unstable/whatever
 .
 "pbuilder build" takes a *.dsc file and builds a binary in the chroot
 image.
 .
 pdebuild is a wrapper for Debian Developers, to allow running
 pbuilder just like "debuild", as a normal user.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=4
ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: configure-stamp build-stamp 
build-stamp:
	dh_testdir

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	rm -rf debian/pbuilder-uml/
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/build-package.
	$(MAKE) check
	$(MAKE) install DESTDIR=$(CURDIR)/debian/pbuilder
	dh_movefiles -ppbuilder-uml --sourcedir=debian/pbuilder

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installman pbuilder.8 pbuilderrc.5 pdebuild.1 debuild-pbuilder.1 
	dh_installchangelogs -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	echo NOTE: pbuilder-uml is not built see changelog for version 0.117

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## pbuilder 0.161

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
 	pbuilder-modules \
 	pbuilder-runhooks \
 	pbuilder-satisfydepends \
+	pbuilder-satisfydepends-experimental \
 	pbuilder-updatebuildenv \
 	pbuilder-user-mode-linux \
 	pbuilder \
@@ -70,6 +71,7 @@
 	$(INSTALL_EXECUTABLE) pdebuild-user-mode-linux $(DESTDIR)/usr/bin
 	$(INSTALL_EXECUTABLE) debuild-pbuilder $(DESTDIR)/usr/bin
 	$(INSTALL_EXECUTABLE) pbuilder-satisfydepends $(DESTDIR)/usr/lib/pbuilder/
+	$(INSTALL_EXECUTABLE) pbuilder-satisfydepends-experimental $(DESTDIR)/usr/lib/pbuilder/
 	$(INSTALL_EXECUTABLE) pdebuild-internal $(DESTDIR)/usr/lib/pbuilder/
 	$(INSTALL_FILE) pbuilderrc $(DESTDIR)/etc
 	$(INSTALL_FILE) pbuilderrc $(DESTDIR)/usr/share/pbuilder

=== debian/changelog ===
pbuilder (0.161) unstable; urgency=low

  [ Junichi Uekawa ]
  * Clarify documentation so that --configfile loads additional
    configuration, and does not avoid loading configuration in place of
    ~/.pbuilderrc (closes: #394985)
  * pbuilder-doc.xml: update developer information.

  [ Loic Minier ]
  * Testsuite may now test pbuilder-satisfydepends.
  * Ignore umount errors of the types "umount: /foobar: not mounted" and
    "umount: /foobar: not found" as retries will be useless anyway and these
    errors shouldn't cause data loss; thanks Martin F Krafft; closes: #391390.
  * Unmount selinux and bind mounts first.
  * Fix usage of --pdebuild-internal: install passwd during groupadd/useradd
    in pdebuild-internal.
  * New PBUILDERSATISFYDEPENDSCMD config option and --pbuildersatisfydepends
    override flag to set the command to run to satisfy build dependencies;
    default to the /usr/lib/pbuilder/pbuilder-satisfydepends helper.
  * New experimental implementation of PBUILDERSATISFYDEPENDSCMD,
    pbuilder-satisfydepends-experimental, which might help building packages
    targetted at experimental.
  * Document usage of backports for a sarge pbuilder with cowdancer;
    closes: #394710.

 -- Junichi Uekawa <dancer@debian.org>  Tue, 21 Nov 2006 22:28:10 +0900

pbuilder (0.160) unstable; urgency=low

  * Bug fix: "pbuilder-doc: cowbuilder instead of cowdancer", thanks
    to Joachim Breitner (Closes: #394673).
  * Bug fix: "pbuilder-doc: inaccurcies in `Chapter 3. Using
    User-mode-linux with pbuilder'?", thanks to shaulka@012.net.il
    (Closes: #394857).
  * Add workaround for /lib/init/rw (Closes: #392136).

 -- Junichi Uekawa <dancer@debian.org>  Tue, 24 Oct 2006 08:02:41 +0900

pbuilder (0.159) unstable; urgency=low

  [Junichi Uekawa]
  * Bug fix: "pbuilder --login quits and cleans up immediately", thanks to
    dr@jones.dk (Closes: #385351).
  * add notes in the comment that files in examples are useful for
    --hookdir option.
  * add patch from Mattia Dongili <malattia@linux.it> to revive pbuilder-uml.

 -- Junichi Uekawa <dancer@debian.org>  Tue, 26 Sep 2006 07:49:04 +0900

pbuilder (0.158) unstable; urgency=low

  [Junichi Uekawa]
  * Bug fix: "pbuilder: SELinux support, first step: mount /selinux",
    thanks to Erich Schubert (Closes: #384389).

 -- Junichi Uekawa <dancer@debian.org>  Wed, 30 Aug 2006 08:07:18 +0900

pbuilder (0.157) unstable; urgency=low

  [Junichi Uekawa]
  * Bug fix: "pbuilder: need a way to make --pkgname-logfile the default",
    thanks to Yann Dirson (Closes: #382885).
  * Standards-version: 3.7.2
  * add cowdancer to recommends.
  * Bug fix: "bind-mount/umount ordering fix", thanks to martin f
    krafft (Closes: #382977).

 -- Junichi Uekawa <dancer@debian.org>  Sun, 20 Aug 2006 09:36:34 +0900

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
 Uploaders: Junichi Uekawa <dancer@debian.org>, Matt Kraai <kraai@debian.org>
 Build-Depends: debhelper (>= 4.1.0), docbook-xsl, ldp-docbook-xsl (>= 0.0.20040321-0.1), xsltproc
-Standards-Version: 3.6.2
+Standards-Version: 3.7.2
 
 Package: pbuilder
 Architecture: all
 Depends: cdebootstrap|debootstrap, wget, gcc, debianutils (>= 1.13.1), coreutils (>= 4.5.8-1)
-Recommends: fakeroot, sudo, devscripts
+Recommends: fakeroot, sudo, devscripts, cowdancer
 Suggests: pbuilder-uml
 Description: personal package builder for Debian packages
  pbuilder constructs a chroot system, and builds a package inside the
@@ -29,3 +29,22 @@
  .
  pdebuild is a wrapper for Debian Developers, to allow running
  pbuilder just like "debuild", as a normal user.
+
+Package: pbuilder-uml
+Architecture: i386
+Depends: rootstrap (>= 0.3.9-1), user-mode-linux, pbuilder (= ${Source-Version})
+Description: user-mode-linux version of pbuilder
+ pbuilder-uml uses a User-mode-linux system, and builds Debian packages
+ inside the UML image. It is an ideal system to use to check 
+ that a package has correct build-dependencies.
+ It uses apt extensively, and a local mirror, or a fast connection
+ to a Debian mirror is ideal, but not necessary.
+ .
+ Requires user-mode-linux to function correctly
+ .
+ "pbuilder-user-mode-linux create" uses rootstrap to create UML image
+ .
+ "pbuilder-user-mode-linux update" updates the image to the current state of
+ testing/unstable/whatever
+ .
+ "pbuilder-user-mode-linux build" takes a *.dsc file and builds a binary in the UML

## pbuilder 0.161ubuntu2

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
 	pbuilder-modules \
 	pbuilder-runhooks \
 	pbuilder-satisfydepends \
+	pbuilder-satisfydepends-gdebi \
 	pbuilder-satisfydepends-experimental \
 	pbuilder-updatebuildenv \
 	pbuilder-user-mode-linux \
@@ -71,6 +72,7 @@
 	$(INSTALL_EXECUTABLE) pdebuild-user-mode-linux $(DESTDIR)/usr/bin
 	$(INSTALL_EXECUTABLE) debuild-pbuilder $(DESTDIR)/usr/bin
 	$(INSTALL_EXECUTABLE) pbuilder-satisfydepends $(DESTDIR)/usr/lib/pbuilder/
+	$(INSTALL_EXECUTABLE) pbuilder-satisfydepends-gdebi $(DESTDIR)/usr/lib/pbuilder/
 	$(INSTALL_EXECUTABLE) pbuilder-satisfydepends-experimental $(DESTDIR)/usr/lib/pbuilder/
 	$(INSTALL_EXECUTABLE) pdebuild-internal $(DESTDIR)/usr/lib/pbuilder/
 	$(INSTALL_FILE) pbuilderrc $(DESTDIR)/etc

=== debian/changelog ===
pbuilder (0.161ubuntu2) feisty; urgency=low

  * pbuilder-satisfydepends-gdebi:
    - added alternative b-d resolver that should should speed up b-d 
      resolution quite a bit
  * pbuilder-buildpackage-funcs:
    - always pass --chroot to the pbuilder-satisfydepends

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  1 Mar 2007 13:34:09 +0100

pbuilder (0.161ubuntu1) feisty; urgency=low

  * Merge from debian unstable.
  * Default to feisty in pbuilderrc

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 22 Nov 2006 09:23:43 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: pbuilder
 Architecture: all
-Depends: cdebootstrap|debootstrap, wget, gcc, debianutils (>= 1.13.1), coreutils (>= 4.5.8-1)
+Depends: debootstrap|cdebootstrap, wget, gcc, debianutils (>= 1.13.1), coreutils (>= 4.5.8-1)
 Recommends: fakeroot, sudo, devscripts, cowdancer
 Suggests: pbuilder-uml
 Description: personal package builder for Debian packages

=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,6 @@
 	# Add here commands to clean up after the build process.
 	-$(MAKE) clean
 
-	rm -rf debian/pbuilder-uml/
 	dh_clean
 
 install: build
@@ -61,7 +60,20 @@
 
 # Build architecture-dependent files here.
 binary-arch: build install
-	echo NOTE: pbuilder-uml is not built see changelog for version 0.117
+ifeq (${ARCH},i386)
+	dh_testdir -a
+	dh_testroot -a
+	dh_installdocs -a
+	dh_installman -ppbuilder-uml pbuilder-user-mode-linux.1 pbuilder-uml.conf.5 pdebuild-user-mode-linux.1
+	dh_installchangelogs -a
+	dh_link -a
+	dh_compress -a
+	dh_fixperms -a
+	dh_installdeb -a
+	dh_gencontrol  -a
+	dh_md5sums  -a
+	dh_builddeb -a
+endif
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure

## pbuilder 0.170ubuntu1

=== Makefile ===
--- 
+++ 
@@ -16,6 +16,9 @@
 	pbuilder-runhooks \
 	pbuilder-satisfydepends \
 	pbuilder-satisfydepends-gdebi \
+	pbuilder-satisfydepends-funcs \
+	pbuilder-satisfydepends-checkparams \
+	pbuilder-satisfydepends-aptitude \
 	pbuilder-satisfydepends-experimental \
 	pbuilder-updatebuildenv \
 	pbuilder-user-mode-linux \
@@ -53,6 +56,9 @@
 	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/lib/pbuilder
 	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/share/pbuilder
 	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/share/doc/pbuilder/examples
+	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/share/doc/pbuilder/examples/rebuild
+	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/share/doc/pbuilder/examples/pbuilder-test
+	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/share/doc/pbuilder/examples/lvmpbuilder
 	$(INSTALL_DIRECTORY) $(DESTDIR)/var/cache/pbuilder/pbuilder-mnt
 	$(INSTALL_DIRECTORY) $(DESTDIR)/var/cache/pbuilder/pbuilder-umlresult
 	$(INSTALL_EXECUTABLE) pbuilder-buildpackage $(DESTDIR)/usr/lib/pbuilder/
@@ -73,7 +79,10 @@
 	$(INSTALL_EXECUTABLE) debuild-pbuilder $(DESTDIR)/usr/bin
 	$(INSTALL_EXECUTABLE) pbuilder-satisfydepends $(DESTDIR)/usr/lib/pbuilder/
 	$(INSTALL_EXECUTABLE) pbuilder-satisfydepends-gdebi $(DESTDIR)/usr/lib/pbuilder/
+	$(INSTALL_EXECUTABLE) pbuilder-satisfydepends-aptitude $(DESTDIR)/usr/lib/pbuilder/
 	$(INSTALL_EXECUTABLE) pbuilder-satisfydepends-experimental $(DESTDIR)/usr/lib/pbuilder/
+	$(INSTALL_EXECUTABLE) pbuilder-satisfydepends-checkparams $(DESTDIR)/usr/lib/pbuilder/
+	$(INSTALL_EXECUTABLE) pbuilder-satisfydepends-funcs $(DESTDIR)/usr/lib/pbuilder/
 	$(INSTALL_EXECUTABLE) pdebuild-internal $(DESTDIR)/usr/lib/pbuilder/
 	$(INSTALL_FILE) pbuilderrc $(DESTDIR)/etc
 	$(INSTALL_FILE) pbuilderrc $(DESTDIR)/usr/share/pbuilder
@@ -83,6 +92,7 @@
 	$(INSTALL_EXECUTABLE) examples/B91dpkg-i $(DESTDIR)/usr/share/doc/pbuilder/examples
 	$(INSTALL_EXECUTABLE) examples/B92test-pkg $(DESTDIR)/usr/share/doc/pbuilder/examples
 	$(INSTALL_EXECUTABLE) examples/C10shell $(DESTDIR)/usr/share/doc/pbuilder/examples
+	$(INSTALL_EXECUTABLE) examples/C11screen $(DESTDIR)/usr/share/doc/pbuilder/examples
 	$(INSTALL_EXECUTABLE) examples/D10tmp $(DESTDIR)/usr/share/doc/pbuilder/examples
 	$(INSTALL_EXECUTABLE) examples/D90chrootmemo $(DESTDIR)/usr/share/doc/pbuilder/examples
 	$(INSTALL_EXECUTABLE) examples/F90chrootmemo $(DESTDIR)/usr/share/doc/pbuilder/examples
@@ -91,6 +101,22 @@
 	$(INSTALL_EXECUTABLE) examples/execute_installtest.sh $(DESTDIR)/usr/share/doc/pbuilder/examples
 	$(INSTALL_EXECUTABLE) examples/execute_paramtest.sh $(DESTDIR)/usr/share/doc/pbuilder/examples
 	$(INSTALL_EXECUTABLE) examples/pbuilder-distribution.sh $(DESTDIR)/usr/share/doc/pbuilder/examples
+	$(INSTALL_EXECUTABLE) examples/rebuild/buildall $(DESTDIR)/usr/share/doc/pbuilder/examples/rebuild
+	$(INSTALL_EXECUTABLE) examples/rebuild/getlist $(DESTDIR)/usr/share/doc/pbuilder/examples/rebuild
+	$(INSTALL_FILE) examples/rebuild/README $(DESTDIR)/usr/share/doc/pbuilder/examples/rebuild
+	$(INSTALL_FILE) examples/pbuilder-test/README $(DESTDIR)/usr/share/doc/pbuilder/examples/pbuilder-test
+	$(INSTALL_EXECUTABLE) examples/pbuilder-test/000_prepinstall $(DESTDIR)/usr/share/doc/pbuilder/examples/pbuilder-test
+	$(INSTALL_EXECUTABLE) examples/pbuilder-test/001_apprun $(DESTDIR)/usr/share/doc/pbuilder/examples/pbuilder-test
+	$(INSTALL_EXECUTABLE) examples/pbuilder-test/002_libfile $(DESTDIR)/usr/share/doc/pbuilder/examples/pbuilder-test
+	$(INSTALL_FILE) examples/pbuilder-test/002_sample.c $(DESTDIR)/usr/share/doc/pbuilder/examples/pbuilder-test
+	$(INSTALL_EXECUTABLE) examples/pbuilder-test/003_makecheck $(DESTDIR)/usr/share/doc/pbuilder/examples/pbuilder-test
+	$(INSTALL_EXECUTABLE) examples/pbuilder-test/004_ldd $(DESTDIR)/usr/share/doc/pbuilder/examples/pbuilder-test
+
+	$(INSTALL_FILE) examples/lvmpbuilder/README $(DESTDIR)/usr/share/doc/pbuilder/examples/lvmpbuilder
+	$(INSTALL_EXECUTABLE) examples/lvmpbuilder/lvmbuilder $(DESTDIR)/usr/share/doc/pbuilder/examples/lvmpbuilder
+	$(INSTALL_FILE) examples/lvmpbuilder/pbuilderrc $(DESTDIR)/usr/share/doc/pbuilder/examples/lvmpbuilder
+	$(INSTALL_EXECUTABLE) examples/lvmpbuilder/sample_device_creator $(DESTDIR)/usr/share/doc/pbuilder/examples/lvmpbuilder
+	$(INSTALL_EXECUTABLE) examples/lvmpbuilder/sample_setup_base $(DESTDIR)/usr/share/doc/pbuilder/examples/lvmpbuilder
 
 	# install workaround for initscripts -- 2005-12-21
 	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/share/doc/pbuilder/examples/workaround

=== debian/changelog ===
pbuilder (0.170ubuntu1) gutsy; urgency=low

  * Merge from debian unstable, remaining changes:
    * pbuilder-satisfydepends-gdebi:
      - added alternative b-d resolver that should should speed up b-d
        resolution quite a bit.
    * pbuilder-buildpackage-funcs:
      - always pass --chroot to the pbuilder-satisfydepends (needed for
        pbuilder-satisfydepends-gdebi)
    * pbuilderrc:
      - Set default distribution to "gutsy".
      - Set default archive to "archive.ubuntu.com".
      - Add comment about components.
      - Don't create a buildd variant by default.
      - Use debootstrap rather than cdebootstrap.
    * pbuilder-modules:
      - Add support for multiple components.
    * pbuilderrc.5:
      - Document support for multiple components.
    * debian/control:
      - Prefer debootstrap over cdebootstrap.
      - DebianMaintainerField.
  * Remove pbuilder-uml build-dependency. UML is not in main, and it's only
    really needed to run the testsuite, which doesn't get run automatically
    anyway.

 -- Soren Hansen <soren@ubuntu.com>  Tue, 10 Jul 2007 14:14:02 +0200

pbuilder (0.170) unstable; urgency=low

  * add example rebuild script from Bastian Venthur
    (http://people.debian.org/~venthur/stuff/2007-06-rebuild/)
  * /var/cache/apt/archives is deleted when I set APTCACHE to /var/cache/apt/archives and I call pbuilder clean
    (closes: #425832)
  * fix pbuilder.8 manpage example, it was different from real output.
  * pbuilder-doc.pdf: do not compress this file.
  * make pbuilderrc example on DEBBUILDOPTS not contain -b, which is not recommended.
  * Bug fix: "Patch for pbuilder-distribution.sh script for use with
    pdebuild", thanks to Andres Mejia (Closes: #429770).
  * Documentation, examples/pbuilder-test/: add sample scripts for
    pbuilder-test, and add reference to it.
  * Bug fix: "pbuilder: Some sample (device-mapper) cow build scripts",
    thanks to Kapil Hari Paranjape (Closes: #389884).
    Include lvmpbuilder sample implementation.

 -- Junichi Uekawa <dancer@debian.org>  Mon, 25 Jun 2007 21:26:25 +0900

pbuilder (0.169ubuntu1) gutsy; urgency=low

  * Merge from debian unstable, remaining changes:
    * pbuilder-satisfydepends-gdebi:
      - added alternative b-d resolver that should should speed up b-d
        resolution quite a bit.
    * pbuilder-buildpackage-funcs:
      - always pass --chroot to the pbuilder-satisfydepends (needed for
        pbuilder-satisfydepends-gdebi)
    * pbuilderrc:
      - Set default distribution to "gutsy".
    * pbuilder-modules:
      - Add support for multiple components.
    * pbuilderrc.5:
      - Document support for multiple components.
    * debian/control:
      - Prefer debootstrap over cdebootstrap.
      - DebianMaintainerField.

 -- Soren Hansen <sh@linux2go.dk>  Mon, 11 Jun 2007 16:55:29 +0200

pbuilder (0.169) unstable; urgency=low

  [ Loic Minier ]
  * List amd64 in pbuilder-uml's Architectures; thanks Mattia Dongili.

  [ Junichi Uekawa ]
  * pdebuild-internal now runs hooks A, B, C, and D. (closes: #342613)  
  * run dpkg-architecture inside chroot for
    pbuilder-satisfydepends-{aptitude,experimental} also.
  * build pbuilder-uml for amd64.
  * C10shell, C11screen: install vim and less, and cd to the source 
    directory per default. Much useful.
  * pbuilder-doc.xml: review documentation.
  * install PDF documentation.
  * add doc-base file
  * Build-Depends on rootstrap and user-mode-linux on i386/amd64 so that
    test can run.

 -- Junichi Uekawa <dancer@debian.org>  Tue, 05 Jun 2007 21:37:46 +0900

pbuilder (0.168) unstable; urgency=low

  * Bug fix: "Fix user/group name resolution inside chroot", thanks to
    Anderson Lizardo (Closes: #398865).
  * do not always output 'Aborting with error' on create/update (bug
    introduced in 0.167)
  * fix man pages to have reference to pbuilder-doc.html, and fix home
    page address to point to alioth.
  * update debian/copyright
  * fix C10shell script to work with the new 'tee' log mode. 
    (add '2> /dev/tty') (Closes: #426380)

 -- Junichi Uekawa <dancer@debian.org>  Mon, 28 May 2007 22:47:21 +0900

pbuilder (0.167) unstable; urgency=low

  [ Junichi Uekawa ]
  * examples/execute_installtest.sh: update to support multiple packages
    as apt target.
  * Documentation/pbuilder.xml: Improve documentation wordings.
    add more pbuilder-test documentation.
  * Use 'tee' to show output even in logged mode.
  * trap SIGHUP as well as exit, and reorganize code around the change. 
    (Closes: #425454)
  * Improve log file support thanks to request from Russ Allbery
    (Closes: #424717).
  - pdebuild will create .build file in similar manner to debuild command
  - output is tee'd to terminal and also the logfile.
  * add C11screen example script, which starts up GNU screen after build
    failure.
  * pdebuild.1 documentation clarification, thanks to Sanjoy Mahajan
    (Closes: #425422).

  * shut up lintian: specify debian/compat (4) instead of DH_COMPAT in debian/rules
  * shut up lintian about binnmuability. Use {source:Version} instead of
    Source-Version, according to http://wiki.debian.org/binNMU
  
  [ Loic Minier ]
  * Tune aptitude opts in pbuilder-satisfydepends-aptitude to handle complex
    dependencies in experimental, to support unsigned APT repositories, and to
    not install Recommends.

 -- Junichi Uekawa <dancer@debian.org>  Sun, 27 May 2007 15:53:49 +0900

pbuilder (0.166ubuntu1) gutsy; urgency=low

  * Merge from debian unstable, remaining changes:
    * pbuilder-satisfydepends-gdebi:
      - added alternative b-d resolver that should should speed up b-d 
        resolution quite a bit
    * pbuilder-buildpackage-funcs:
      - always pass --chroot to the pbuilder-satisfydepends
  * Defaults to gutsy in pbuilderrc

 -- Stephan Hermann <sh@sourcecode.de>  Sat, 12 May 2007 20:31:01 +0200

pbuilder (0.166) unstable; urgency=low

  [ Junichi Uekawa ]
  * Re-Bug fix: "pbuilder: pbuilder-uml should not overwrite network


=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: pbuilder
 Section: devel
 Priority: extra
-Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
 Uploaders: Junichi Uekawa <dancer@debian.org>, Matt Kraai <kraai@debian.org>
-Build-Depends: debhelper (>= 4.1.0), docbook-xsl, ldp-docbook-xsl (>= 0.0.20040321-0.1), xsltproc
+Build-Depends: debhelper (>= 4.1.0), docbook-xsl, ldp-docbook-xsl (>= 0.0.20040321-0.1), xsltproc, dpkg-dev (>= 1.13.19), dblatex
 Standards-Version: 3.7.2
 
 Package: pbuilder
@@ -31,8 +32,8 @@
  pbuilder just like "debuild", as a normal user.
 
 Package: pbuilder-uml
-Architecture: i386
-Depends: rootstrap (>= 0.3.9-1), user-mode-linux, pbuilder (= ${Source-Version})
+Architecture: i386 amd64
+Depends: rootstrap (>= 0.3.9-1), user-mode-linux, pbuilder (= ${source:Version})
 Description: user-mode-linux version of pbuilder
  pbuilder-uml uses a User-mode-linux system, and builds Debian packages
  inside the UML image. It is an ideal system to use to check

## pbuilder 0.174ubuntu2~gutsy1

=== Documentation/Makefile ===
# makefile for documentation for pbuilder.

#required packages:
# docbook-xsl
# ldp-docbook-xsl
# xsltproc
# po4a
# dblatex

# the main XML file which is source to all documents
MASTERXML=pbuilder-doc.xml

all: pbuilder-doc.html pbuilder-doc.ja.html

%.html: %.xml pbuilder-doc.xsl
	xsltproc pbuilder-doc.xsl $< > $@.tmp
	mv $@.tmp $@

pbuilder-doc.%.xml: pbuilder-doc.%.po
	po4a-translate -f docbook -m $(MASTERXML) -p $< -l $@ -k 1

pbuilder-doc.%.po: $(MASTERXML)
	po4a-updatepo -f docbook -m $< -p $@ 

%.pdf: %.xml
	# requires dblatex package.
	dblatex $<

install: pbuilder-doc.html pbuilder-doc.pdf
	install -d -m 755 -o root -g root $(DESTDIR)/usr/share/doc/pbuilder/
	install -m 644 -o root -g root pbuilder-doc.html $(DESTDIR)/usr/share/doc/pbuilder/
	install -m 644 -o root -g root pbuilder-doc.pdf $(DESTDIR)/usr/share/doc/pbuilder/

preview: pbuilder-doc.html
	mozilla-firefox -remote "openfile($(PWD)/$<)"

release: pbuilder-doc.html pbuilder-doc.xml pbuilder-doc.css pbuilder-doc.xsl pbuilder-doc.pdf
	scp $^ cvs.alioth.debian.org:/org/alioth.debian.org/chroot/home/groups/pbuilder/htdocs/ 
	$(MAKE) release-netfort

# for my homepage-publishing.
release-netfort: pbuilder-doc.html pbuilder-doc.xml pbuilder-doc.css pbuilder-doc.xsl pbuilder-doc.pdf
	cp $^ ~/public_html/netfort/software/pbuilder-doc/

clean: 
	-rm pbuilder-doc.pdf pbuilder-doc.glo pbuilder-doc.idx pbuilder-doc.log pbuilder-doc.out \
		pbuilder-doc.aux

.PHONY: preview release-netfort release clean

=== debian/changelog ===
pbuilder (0.174ubuntu2~gutsy1) gutsy-backports; urgency=low

  * Automated backport upload; no source changes.

 -- John Dong <john.dong@gmail.com>  Mon, 19 Nov 2007 10:47:08 +0000

pbuilder (0.174ubuntu2) hardy; urgency=low

  * Fix sed for pdebuild-internal to stop matching Original-Maintainer
    field as an output file name.

 -- John Dong <jdong@ubuntu.com>  Sat, 27 Oct 2007 15:30:13 -0400

pbuilder (0.174ubuntu1) hardy; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
    * debian/control:
      - Prefer debootstrap over cdebootstrap.
      - DebianMaintainerField.
      - Remove rootstrap build-dependency.
    * Makefile:
      - Addded pbuilder-satisfydepends-gdebi
    * pbuilder-buildpackage-funcs:
      - always pass --chroot to the pbuilder-satisfydepends (needed for
        pbuilder-satisfydepends-gdebi)
    * pbuilderrc:
      - Set default archive to "archive.ubuntu.com".
      - Set default distribution to "hardy".
      - Set Ubuntu components.
      - Don't create a buildd variant by default.
      - Use debootstrap rather than cdebootstrap.
    * pbuilder-satisfydepends-gdebi:
      - added alternative b-d resolver that should should speed up b-d
        resolution quite a bit.
   * Support for specifying components is now included in Debian.

 -- Adrien Cunin <adri2000@ubuntu.com>  Sat, 27 Oct 2007 13:58:41 +0200

pbuilder (0.174) unstable; urgency=low

  [ Junichi Uekawa ]
  * add bash_completion.
  * Bug fix: "pbuilder: incoherence man page with --help", thanks to David
    Vernazobres (Closes: #446479).
  * Bug fix: "Add XS-Vcs-* field", thanks to Laurent Bigonville (Closes:
    #447631).

  [ Adrien Cunin ]
  * Added the ability to specify the distribution components via $COMPONENTS in
    pbuilderrc or via pbuilder --components. Part of the patch taken from
    Ubuntu. (Closes: #422371)

 -- Junichi Uekawa <dancer@debian.org>  Thu, 25 Oct 2007 20:18:09 +0900

pbuilder (0.173ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    * debian/control:
      - Prefer debootstrap over cdebootstrap.
      - DebianMaintainerField.
      - Remove rootstrap build-dependency.
    * Makefile:
      - Addded pbuilder-satisfydepends-gdebi
    * pbuilder-buildpackage-funcs:
      - always pass --chroot to the pbuilder-satisfydepends (needed for
        pbuilder-satisfydepends-gdebi)
    * pbuilder-modules:
      - Add support for multiple components.
    * pbuilderrc:
      - Set default archive to "archive.ubuntu.com".
      - Set default distribution to "gutsy".
      - Add comment about components.
      - Don't create a buildd variant by default.
      - Use debootstrap rather than cdebootstrap.
    * pbuilderrc.5:
      - Document support for multiple components.
    * pbuilder-satisfydepends-gdebi:
      - added alternative b-d resolver that should should speed up b-d
        resolution quite a bit.

 -- Soren Hansen <soren@ubuntu.com>  Fri, 19 Oct 2007 17:55:29 +0200

pbuilder (0.173) unstable; urgency=low

  * documentation update: add svn-buildpackage example.
  * return exit code for pbuilder login / execute

 -- Junichi Uekawa <dancer@debian.org>  Mon, 01 Oct 2007 22:19:54 +0900

pbuilder (0.172) unstable; urgency=low

  [ Loic Minier ]
  * Fix a file name in pdebuild.1's man page which was being interpreted by
    man; thanks Roland Stigge; closes: #437336.

  [ Junichi Uekawa ]
  * update lvmpbuilder, thanks to Kapil Hari Paranjape (closes: #389884)
  * rename pbuilder-satisfydepends to pbuilder-satisfydepends-classic, and
    install pbuilder-satisfydepends-aptitude as the deafault
    pbuilder-satisfydepends
  * install aptitude per default in chroot.
  * "pdebuild: [manual] Change pbuilder.8 to pbuilder(8)", thanks
    to Jari Aalto (Closes: #439818).
  * Bug fix: "pbuilder login does not create a login shell", thanks to Ben
    Hutchings (Closes: #439285).

 -- Junichi Uekawa <dancer@debian.org>  Wed, 29 Aug 2007 08:42:19 +0900

pbuilder (0.171) unstable; urgency=low

  * add example configuration file for ccache.
  * Bug fix: "$HOME/.pbuilderrc example for use in using multiple pbuilder
    setups", thanks to Andres Mejia (Closes: #432277).

 -- Junichi Uekawa <dancer@debian.org>  Wed, 01 Aug 2007 21:19:09 +0900

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,8 @@
 Uploaders: Junichi Uekawa <dancer@debian.org>, Matt Kraai <kraai@debian.org>
 Build-Depends: debhelper (>= 4.1.0), docbook-xsl, ldp-docbook-xsl (>= 0.0.20040321-0.1), xsltproc, dpkg-dev (>= 1.13.19), dblatex
 Standards-Version: 3.7.2
+XS-Vcs-Git: git://git.debian.org/git/pbuilder/pbuilder.git
+XS-Vcs-Browser: http://git.debian.org/?p=pbuilder/pbuilder.git
 
 Package: pbuilder
 Architecture: all
